#!/bin/sh

echo "setting up default user..."
adduser docker
adduser docker wheel
adduser docker docker

echo "setting up doas..."
apk add doas
echo "permit persist :wheel" >> /etc/doas.d/doas.conf

echo "installing qemu guest agent..."
apk add qemu-guest-agent
rc-update add qemu-guest-agent
rc-service qemu-guest-agent start

echo "installing fail2ban..."
apk add fail2ban
rc-update add fail2ban
rc-service fail2ban start

apk add neovim

echo "installing Docker..."
apk add docker docker-cli-compose
rc-update add docker default
service docker start

echo "installing OpenSSH..."
apk add openssh
rc-update add sshd
rc-service sshd start

echo "installing NFS..."
apk add nfs-utils
rc-update add netmount

reboot now
